Bug 50547 - The CHANGE_SESSION_ID message that received during cluster session synchronization is dropped.
The CHANGE_SESSION_ID message that received during cluster session synchroniz...
Product: Tomcat 5
Classification: Unclassified
Component: Catalina:Cluster
All All
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
Depends on:
  Show dependency tree
Reported: 2011-01-06 03:48 UTC by Keiichi Fujino
Modified: 2011-01-20 14:24 UTC (History)
0 users

I made a patch. (1.09 KB, text/plain)
2011-01-06 03:49 UTC, Keiichi Fujino
Patch against tc5.5 (2.34 KB, application/octet-stream)
2011-01-12 00:30 UTC, Keiichi Fujino

Note You need to log in before you can comment on or make changes to this bug.
Description Keiichi Fujino 2011-01-06 03:48:03 UTC
Neither CHANGE_SESSION_ID message nor SESSION_EXPIRED message set timestamp. 
If these messages are received during cluster sessions synchronization in DeltaManager startup, 
because the timestamp is not set, they are dropped. 

I made a patch that add timestamp for CHANGE_SESSION_ID and SESSION_EXPIRED message.

Best Regards.
Comment 1 Keiichi Fujino 2011-01-06 03:49:24 UTC
Created attachment 26461 [details]
I made a patch.
Comment 2 Keiichi Fujino 2011-01-06 04:22:24 UTC
Fixed in 7.0.x and will be in 7.0.6 onwards.
Proposed for 6.0.x and 5.5.x
Comment 3 Keiichi Fujino 2011-01-07 03:11:09 UTC
Fixed in 6.0.x and will be in 6.0.30 onwards.
Comment 4 Keiichi Fujino 2011-01-12 00:30:16 UTC
Created attachment 26482 [details]
Patch against tc5.5

Patch against tc5.5
Comment 5 Jim Jagielski 2011-01-20 14:24:04 UTC
Will be in 5.5.32